Subject: Re: bug#29157: 25.3; Eshell parsing fails sometimes, e.g. "date" and "sed"

From: Noam Postavsky <[email-masked]>
Date: Sun, 03 Dec 2017 15:43:44 -0500

close 29157 27.1
quit

Pierre Neidhardt <[email-masked]> writes:

>> I agree.  Although the expansion in this case is arguably a bug (as
>> Andreas pointed out), I don't have much interest in fixing it.  I
>> propose just to disable it by default (in master).
>
> Thank you.

Pushed to master [1: 1cdd0e8cd8].  Closing the bug as it's basically
"working as designed" (although enhanced versions of eshell/date would
be welcomed as mentioned earlier on this  bug thread).

[1: 1cdd0e8cd8]: 2017-12-03 15:39:02 -0500
  Disable history expansion in eshell (Bug#29157)
  https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=1cdd0e8cd801aa1d6f04ab4d8e6097a46af8c951